commit: 47de0a8955d04e02ef2cebd2b574417229c154f1
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Mon Apr 11 06:38:48 2016 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 00:07:33 2017 +0000
URL: https://gitweb.gentoo.org/proj/perl-overlay.git/commit/?id=47de0a89
perl-module.eclass: ban direct use of perl-module_src_unpack in EAPI6
eclass/perl-module.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index c07599eab..6460e874a 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -179,7 +179,7 @@ pm_echovar=""
# This function is to be called during the ebuild src_unpack() phase.
perl-module_src_unpack() {
debug-print-function $FUNCNAME "$@"
-
+ [[ ${EAPI:-0} == 5 ]] || die "perl-module_src_unpack is banned in
EAPI=6 or later"
unpacker_src_unpack
has src_prepare ${PERL_EXPF} || perl-module_src_prepare
}